Package com.mapd.thrift.server

## Class MapD.start_render_query_args

- java.lang.Object
- - com.mapd.thrift.server.MapD.start_render_query_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<MapD.start_render_query_args>`, `org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  MapD

    public static class MapD.start_render_query_args
    extends Object
    implements org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>, Serializable, Cloneable, Comparable<MapD.start_render_query_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `MapD.start_render_query_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<MapD.start_render_query_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`short` `node_idx`
`String` `session`
`String` `vega_json`
`long` `widget_id`

### Constructor Summary

Constructors
`start_render_query_args()`
`start_render_query_args​(MapD.start_render_query_args other)` Performs a deep copy on other.
`start_render_query_args​(String session, long widget_id, short node_idx, String vega_json)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(MapD.start_render_query_args other)`
`MapD.start_render_query_args` `deepCopy()`
`boolean` `equals​(MapD.start_render_query_args that)`
`boolean` `equals​(Object that)`
`MapD.start_render_query_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(MapD.start_render_query_args._Fields field)`
`short` `getNode_idx()`
`String` `getSession()`
`String` `getVega_json()`
`long` `getWidget_id()`
`int` `hashCode()`
`boolean` `isSet​(MapD.start_render_query_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetNode_idx()` Returns true if field node_idx is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`boolean` `isSetVega_json()` Returns true if field vega_json is set (has been assigned a value) and false otherwise
`boolean` `isSetWidget_id()` Returns true if field widget_id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(MapD.start_render_query_args._Fields field, Object value)`
`MapD.start_render_query_args` `setNode_idx​(short node_idx)`
`void` `setNode_idxIsSet​(boolean value)`
`MapD.start_render_query_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`MapD.start_render_query_args` `setVega_json​(String vega_json)`
`void` `setVega_jsonIsSet​(boolean value)`
`MapD.start_render_query_args` `setWidget_id​(long widget_id)`
`void` `setWidget_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetNode_idx()`
`void` `unsetSession()`
`void` `unsetVega_json()`
`void` `unsetWidget_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### widget_id

    public long widget_id

#### node_idx

    public short node_idx

#### vega_json

    public String vega_json

#### metaDataMap

    public static final Map<MapD.start_render_query_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### start_render_query_args

    public start_render_query_args()

#### start_render_query_args

    public start_render_query_args​(String session,
                                   long widget_id,
                                   short node_idx,
                                   String vega_json)

#### start_render_query_args

    public start_render_query_args​(MapD.start_render_query_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public MapD.start_render_query_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public MapD.start_render_query_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getWidget_id

    public long getWidget_id()

#### setWidget_id

    public MapD.start_render_query_args setWidget_id​(long widget_id)

#### unsetWidget_id

    public void unsetWidget_id()

#### isSetWidget_id

    public boolean isSetWidget_id()

Returns true if field widget_id is set (has been assigned a value) and false otherwise

#### setWidget_idIsSet

    public void setWidget_idIsSet​(boolean value)

#### getNode_idx

    public short getNode_idx()

#### setNode_idx

    public MapD.start_render_query_args setNode_idx​(short node_idx)

#### unsetNode_idx

    public void unsetNode_idx()

#### isSetNode_idx

    public boolean isSetNode_idx()

Returns true if field node_idx is set (has been assigned a value) and false otherwise

#### setNode_idxIsSet

    public void setNode_idxIsSet​(boolean value)

#### getVega_json

    public String getVega_json()

#### setVega_json

    public MapD.start_render_query_args setVega_json​(String vega_json)

#### unsetVega_json

    public void unsetVega_json()

#### isSetVega_json

    public boolean isSetVega_json()

Returns true if field vega_json is set (has been assigned a value) and false otherwise

#### setVega_jsonIsSet

    public void setVega_jsonIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(MapD.start_render_query_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(MapD.start_render_query_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>`

#### isSet

    public boolean isSet​(MapD.start_render_query_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(MapD.start_render_query_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(MapD.start_render_query_args other)

Specified by:
  `compareTo` in interface `Comparable<MapD.start_render_query_args>`

#### fieldForId

    public MapD.start_render_query_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<MapD.start_render_query_args,​MapD.start_render_query_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`